module CoreModels
  module Models
    module Concerns
      module GroupConcerns
        def has_role?(name)
          self.roles.where(role_name: name).any?
        end

        def get_role(name)
          self.roles.find(name.parameterize)
        end

        def role_names
          self.roles.pluck(:role_name)
        end

        def add_role=(name)
          self.roles << self.roles.klass.find_by(role_name: name)
        end

        def change_roles=(names)
          self.roles =self.roles.klass.where(role_name: names)
        end

        def remove_role=(name)
          self.roles.delete(self.roles.klass.find_by(role_name: name))
        end
      end
    end
  end
end
