module CoreModels
  module Models
    module Concerns
      module RoleConcerns
        def has_permission?(name)
          self.permissions.where(permission_name: name).any?
        end

        def has_group?(name)
          self.groups.where(group_name: name).any?
        end

        def permission_names
          self.permissions.pluck(:permission_name)
        end

        def add_permission=(name)
          self.permissions << self.permissions.klass.find_by(permission_name: name)
        end

        def change_permissions=(names)
          self.permissions = self.permissions.klass.where(permission_name: names)
        end

        def remove_permission=(name)
          self.permissions.delete(self.permissions.klass.find_by(permission_name: name))
        end
      end
    end
  end
end
