require_relative 'concerns/group_concerns'
require 'active_support/concern'

module CoreModels
  module Models
    module Group
      extend ActiveSupport::Concern
      include CoreModels::Models::Concerns::GroupConcerns

      included do
        extend FriendlyId
        friendly_id :group_name, use: [:slugged, :finders, :history]

        has_many :group_memeberships
        has_many :users, :through => :group_memberships

        has_many :groups_roles
        has_many :roles, :through => :groups_roles

        validates :group_name, presence: true, uniqueness: true
      end

    end
  end
end
