require 'active_support/concern'

module CoreModels
  module Models
    module Permission
      extend ActiveSupport::Concern

      included do
        extend FriendlyId
        friendly_id :permission_name, use: [:slugged, :finders, :history]

        has_many :roles_permissions
        has_many :roles, :through => :roles_permissions

        validates :permission_name, presence: true, uniqueness: true
      end

      def should_generate_new_friendly_id?
        permission_name_changed?
      end

    end
  end
end
