require 'rails/generators'

class CoreModelsSetupGenerator < Rails::Generators::Base

  class_option :'skip-init', :type => :boolean, :desc => 'Used to help set up the gem for applications new to the gem.'

  source_root File.expand_path('../../../', __FILE__)

  def create_initializer
    return if options['skip-init']
    copy_file 'lib/migrations/20150221024005_create_user.rb', 'db/migrate/20150221024005_create_user.rb'
    copy_file 'lib/migrations/20150221024159_create_role.rb', 'db/migrate/20150221024159_create_role.rb'
    copy_file 'lib/migrations/20150221024409_create_permission.rb', 'db/migrate/20150221024409_create_permission.rb'
    copy_file 'lib/migrations/20150221024519_create_group.rb', 'db/migrate/20150221024519_create_group.rb'
    copy_file 'lib/migrations/20150221024728_create_join_table_roles_groups.rb', 'db/migrate/20150221024728_create_join_table_roles_groups.rb'
    copy_file 'lib/migrations/20150221024807_create_join_table_roles_permissions.rb', 'db/migrate/20150221024807_create_join_table_roles_permissions.rb'
    copy_file 'lib/migrations/20150221025001_create_tripple_join_table_user_group_role.rb', 'db/migrate/20150221025001_create_tripple_join_table_user_group_role.rb'
  end
end
